Name:           grisbi
Version:        3.0.4
Release:        %mkrel 3
Summary:        Personal finance manager
Group:          Office/Finance
License:        GPLv2
Url:            https://www.grisbi.org/
Source0:        https://downloads.sf.net/grisbi/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgoffice-0.10)
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  intltool

%description
Grisbi helps you to manage your personal finance.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.%{name}.Grisbi.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/%{name}.*
%{_datadir}/pixmaps/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}.svg
%{_metainfodir}/grisbi.metainfo.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 3.0.4-3.mga10
+ Revision: 2248225
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 3.0.4-2.mga10
+ Revision: 2164844
- rebuild for libxml2 2.13.6

* Fri Jul 05 2024 daviddavid <daviddavid> 3.0.4-1.mga10
+ Revision: 2079886
- new version: 3.0.4

* Fri Apr 26 2024 daviddavid <daviddavid> 3.0.3-1.mga10
+ Revision: 2061215
- new version: 3.0.3

* Sun Jan 15 2023 daviddavid <daviddavid> 2.0.5-1.mga9
+ Revision: 1933218
- new version: 2.0.5

* Fri Apr 01 2022 umeabot <umeabot> 2.0.0-3.mga9
+ Revision: 1837939
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2.0.0-2.mga9
+ Revision: 1748094
- rebuild for openssl 3.0.0

* Tue Jan 26 2021 akien <akien> 2.0.0-1.mga8
+ Revision: 1673437
- Version 2.0.0

* Sat Feb 15 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1527231
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jul 12 2019 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1420777
- new version: 1.2.2
- switch to Gtk+3
- use upstream svg icon file

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1298080
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 1.0.4-1.mga7
+ Revision: 1237738
- Version 1.0.4

* Thu Apr 26 2018 wally <wally> 1.0.2-4.mga7
+ Revision: 1222663
- drop unneeded BRs

* Wed Nov 22 2017 tv <tv> 1.0.2-3.mga7
+ Revision: 1178685
- rebuild for new libofx

* Thu Aug 31 2017 guillomovitch <guillomovitch> 1.0.2-2.mga7
+ Revision: 1150323
- bump replease

* Fri Jun 16 2017 akien <akien> 1.0.2-1.mga6
+ Revision: 1107819
- Version 1.0.2

* Sun Jan 01 2017 akien <akien> 1.0.1-1.mga6
+ Revision: 1079135
- Version 1.0.1
- Enable optional OpenSSL and LibXML2 support

* Mon May 02 2016 zezinho <zezinho> 1.0.0-6.mga6
+ Revision: 1008564
- rebuild against libofx 0.9.10

* Mon Feb 15 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 960547
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 guillomovitch <guillomovitch> 1.0.0-4.mga6
+ Revision: 893960
- fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 747454
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 679943
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 guillomovitch <guillomovitch> 1.0.0-1.mga5
+ Revision: 608676
- new version 1.0.0

* Mon Dec 16 2013 pterjan <pterjan> 0.8.9-5.mga4
+ Revision: 557199
- Rebuild for new libofx

* Fri Oct 18 2013 umeabot <umeabot> 0.8.9-4.mga4
+ Revision: 505248
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8.9-3.mga3
+ Revision: 352636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 dams <dams> 0.8.9-2.mga3
+ Revision: 327839
- update %%group
- new icon for better rendering
- remove deprecated doc (2004)
- clean specfile
- remove useless buildrequires

* Mon Apr 02 2012 dams <dams> 0.8.9-1.mga2
+ Revision: 227844
- Revert to stable version (mga #3250)

* Sat Jan 21 2012 fwang <fwang> 0.9.5-2.mga2
+ Revision: 198997
- rebuild for new ofx

* Tue Jan 03 2012 dams <dams> 0.9.5-1.mga2
+ Revision: 189974
- new version 0.9.5

* Tue Oct 04 2011 dams <dams> 0.9.4-1.mga2
+ Revision: 151521
- update to 0.9.4

* Wed Jun 08 2011 dams <dams> 0.8.7-1.mga2
+ Revision: 101797
- Update to 0.8.7

* Mon May 23 2011 dams <dams> 0.8.6-1.mga1
+ Revision: 100241
- Update to 0.8.6

* Mon Apr 18 2011 dams <dams> 0.8.5-1.mga1
+ Revision: 87820
- Update to 0.8.5

* Wed Mar 16 2011 boklm <boklm> 0.8.4-1.mga1
+ Revision: 72649
- version 0.8.4
- imported package grisbi


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-2mdv2011.0
+ Revision: 610985
- rebuild

* Sat May 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 546580
- 0.6.0 final version
- drop patches 2 and 3, merged upstream

* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-0.rc2.5mdv2010.1
+ Revision: 540861
- drop useless dependencies and sources (spotted by P. Biava <pierre.biava@nerim.net>)

* Tue Apr 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-0.rc2.4mdv2010.1
+ Revision: 539859
- fix plugins loading on x86_64  (spotted by P. Biava <pierre.biava@nerim.net>)

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-0.rc2.3mdv2010.1
+ Revision: 531471
- drop doc location patch, which actually breaks doc retrieval, and install all documentation into a single place

* Mon Mar 22 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-0.rc2.2mdv2010.1
+ Revision: 526670
- rediff and reapply asneeded patch, to fix plugins build

* Sun Jan 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.0-0.rc2.1mdv2010.1
+ Revision: 498771
- update to 0.6.0rc2

* Sat Jan 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.0-0.rc1.20091229.3mdv2010.1
+ Revision: 495302
- add missing BR
- one .desktop file is enough, wouldn't you say?

* Sat Jan 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.0-0.rc1.20091229.2mdv2010.1
+ Revision: 495183
- currently we don't need autoconf in spec

* Sat Jan 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.0-0.rc1.20091229.1mdv2010.1
+ Revision: 495176
- add back the grisbi-manuel-0.5.1, no replacement available
- drop tetex* requires as grispi-manuel isn't built (is 0.5.1 docs still useful)
- update to 0.6.0rc1 to fix bug with gtk >= 2.18
- drop patch 0, upstream now uses xdg-open
- clean spec, drop unndeed parts for distros < 2009

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Mar 19 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.9-4mdv2009.1
+ Revision: 357682
- Rebuild for Mandriva 2009.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.5.9-3mdv2009.0
+ Revision: 266978
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 26 2008 Frederic Crozat <fcrozat@mandriva.com> 0.5.9-2mdv2009.0
+ Revision: 211409
- Patch2: fix build when as-needed is used
- Patch3: fix help path
- Fix buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Mar 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.9-2mdv2007.1
+ Revision: 147387
- rebuild for new libofx
- spellcheck summary and description

* Wed Nov 22 2006 Jérôme Soyer <saispo@mandriva.org> 0.5.9-1mdv2007.1
+ Revision: 86320
- Fix Specs
- Add BuildRequires Tetex
- New release 0.5.9
- Import grisbi

* Fri Apr 07 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.8-2mdk
- Patch0: fix web browser name
- Patch1: fix doc build
- package french manual
- Add requires on latex, needed for printing
- fix buildrequires

* Thu Jan 19 2006 Lenny Cartier <lenny@mandriva.com> 0.5.8-1mdk
- 0.5.8

* Thu Nov 24 2005 Lenny Cartier <lenny@mandriva.com> 0.5.7-3mdk
- rebuild

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.7-2mdk
- %%mkrel
- get rid of bizarre stuff
- don't bzip2 icons
- cleanups!

* Fri Jun 10 2005 Lenny Cartier <lenny@mandriva.com> 0.5.7-1mdk
- 0.5.7

* Thu Jan 13 2005 Jerome Soyer <saispo@mandrake.org> 0.5.5-1mdk
- 0.5.5

* Mon Dec 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.3-2mdk
- rebuild for new ofx

* Thu Dec 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Fri Oct 22 2004 Jerome Soyer <saispo@mandrake.org> 0.5.2-1mdk
- 0.5.2
- Update BuildRequires

* Mon Aug 30 2004 Jerome Soyer <saispo@mandrake.org> 0.5.1-3mdk
- fix buildrequires

* Sun Aug 22 2004 Jerome Soyer <saispo@mandrake.org> 0.5.1-2mdk
- fix menu entry

* Thu Aug 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Tue Jul 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- from neoclust <n1c0l4s.l3@wanadoo.fr> : 
	- 0.5.0

* Sat Apr 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5
- merge with original grisbi spec

